<script lang="ts">
  import { onMount } from 'svelte';
  import Content from './Content.svelte';

  onMount(async () => {
    const [gsapModule] = await Promise.all([import('gsap/all')]);
    const gsap = gsapModule.gsap;

    gsap.from('.big', {
      duration: 1,
      alpha: 0,
      y: '+=100',
      ease: 'back.out',
    });

    gsap.from('.big-img', {
      duration: 0.8,
      scaleX: 0.7,
      scaleY: 0.8,
      ease: 'back.out',
    });
  });
</script>

<svelte:head>
  <title>Our Story</title>
  <meta
    name="description"
    content="About this app" />
</svelte:head>

<div style="margin-top: 80px;">
  <div class="top">
    <h1 class="big">Our Story</h1>
    <div class="big-img-container">
      <img
        src="$lib/images/story/01.webp"
        alt="..."
        loading="lazy"
        class="big-img"
        style="margin-top:-8rem" />
    </div>
  </div>
  <div class="text-area">
    <h2>Pioneering the Future of Gaming with <i>Islands</i></h2>
    <p>
      Welcome to <i>Islands</i>, where innovation knows no bounds and the future of gaming is
      redefined. Our journey began with a simple yet audacious vision – to transform the gaming
      landscape by fusing the power of blockchain technology with the boundless possibilities of
      web3. Today, we stand proudly as a beacon of innovation, trailblazing a path towards a new era
      of gaming that's more immersive, decentralized, and player-centric than ever before.
    </p>
    <h2>Embracing Technological Evolution</h2>
    <p>
      At <i>Islands</i>, we believe that every great transformation starts with a daring idea. Guided
      by this belief, we embarked on a journey to harness the potential of blockchain technology –
      the very technology that underpins the revolutionary cryptocurrencies. We saw beyond the
      barriers of conventional gaming and envisioned a world where players truly own their virtual
      assets, where transactions are transparent and secure, and where creativity knows no bounds.
    </p>
    <h2>Empowering Players, Redefining Possibilities</h2>
    <p>
      Our story is interwoven with the aspirations of gamers worldwide. We've harnessed the power of
      blockchain to empower players with true ownership of in-game assets. No longer limited to a
      confined gaming ecosystem, players can trade, sell, and utilize their hard-earned items across
      different games and platforms. <i>Islands</i> unlocks a realm of possibilities, where players are
      more than participants – they are key architects shaping the very landscapes they traverse.
    </p>
    <h2>A Gateway to the Web3 Gaming Universe</h2>
    <p>
      <i>Islands</i> stands as a gateway to the vibrant and interconnected universe of web3 gaming. With
      each step, we've woven an intricate tapestry of technology, creativity, and community. As pioneers
      in this ever-evolving space, we're not just building games; we're building ecosystems where players,
      developers, and enthusiasts collaborate, innovate, and thrive.
    </p>
    <h2>Unveiling a New Horizon</h2>
    <p>
      Our journey is one of relentless exploration. With each achievement, we peel back another
      layer of what's possible. <i>Islands</i> is not just a platform; it's a commitment to creating a
      gaming universe where innovation flows freely, where players are true custodians of their experiences,
      and where the impossible is an everyday reality.
    </p>
    <p>
      Join us on this exhilarating voyage, as we continue to script the future of gaming, one
      blockchain at a time. The <i>Islands</i> story is your story – a story of limitless potential, shared
      dreams, and a commitment to revolutionize how we play, connect, and create.
    </p>
    <p>
      Together, let's ascend to new heights and rewrite the rules of gaming. Welcome to the <i
        >Islands</i>
      journey.
    </p>
  </div>
</div>
<Content />

<style>
  div {
    padding: 0.5rem 1rem;
  }

  .big {
    display: flex;
    max-width: 100%;
    padding-bottom: 12vh;
    margin: 0 auto;
    background: hsl(347deg 100% 67%);
    background: linear-gradient(to right, hsl(347deg 100% 67%) 0%, hsl(31deg 100% 64%) 100%);
    background-clip: text;
    font-size: 20vw;
    line-height: 80%;
    text-align: center;
    -webkit-text-fill-color: transparent;
  }

  img {
    display: flex;
    width: 100%;
    margin: 0 auto;
  }

  @media (width >= 768px) {
    .top {
      /* background-color: blue; */
      margin: 10% auto 2%;
    }

    .big {
      position: relative;
      left: 0;
      max-width: 200%;
      padding-bottom: 5vh;
      margin-top: -10%;
      font-size: 6rem;
      text-align: left;
    }

    .big-img-container {
      right: 0; /* Add some spacing between .big and .bigImg */
      flex: 1;
    }

    .big-img {
      position: relative;
      width: 60%;
      height: 60%;

      /* bottom: 0px; */
      margin: 0 0 -2rem auto;
    }

    .text-area {
      margin: 0 30px;
    }
  }
</style>
